import * as React from "react";
import { configure } from "mobx";
import permissionStore from "./modules/permission";
import menuStore from "./modules/menu";

configure({ enforceActions: "always" });

export const stores = { permissionStore, menuStore };
export const CounterContext = React.createContext(stores);

export const useStores = () => React.useContext(CounterContext);
